> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/payouts/the-payout-object.md).

# The payout object

A payout collects a number of payable commissions for a single affiliate in one bundle.

### Example

<pre class="language-json"><code class="lang-json">{
    "id": "3b03791a-3fb5-4bd6-8ec3-614c9fd978ca",
    "currency": "USD",
    "paid_at": "2022-10-12T14:55:11.242Z",
    "state": "paid",
    "paid_by_id": "3e5c04ae-af80-4964-b280-23df034690d4",
    "created_at": "2022-10-12T14:54:52.148Z",
    "updated_at": "2022-10-12T14:55:11.276Z",
    "amount": 1470,
    "affiliate": {
        "id": "5768bd90-7953-493f-ae6c-6562eb4d7e72",
        "created_at": "2022-10-12T14:25:09.323Z",
        "updated_at": "2022-11-08T09:13:05.954Z",
        "state": "active",
<strong>        "first_name": "Joe",
</strong>        "last_name": "Example",
        "email": "joe@example.com",
        "confirmed_at": "2022-10-12T14:25:09.323Z",
        "paypal_email": null,
        "paypal_email_confirmed_at": null,
        "wise_email": null,
        "wise_email_confirmed_at": null,
        "receive_new_commission_notifications": false,
        "sign_in_count": 0,
        "unconfirmed_email": null,
        "stripe_customer_id": null,
        "stripe_account_id": null,
        "visitors": 376,
        "leads": 142,
        "conversions": 56
    },
    "commissions": [
        {
            "id": "3a4a775c-b660-4d7f-a733-6f259a2646a7",
            "currency": "USD",
            "stripe_account_id": "acct_1GWIyRDLlKlZvFB2",
            "due_at": "2022-07-31T15:55:19.000Z",
            "paid_at": "2022-08-08T09:07:11.242Z",
            "created_at": "2022-07-01T15:57:18.742Z",
            "updated_at": "2022-07-01T15:57:18.742Z",
            "amount": 1470
        }
    ]
}
</code></pre>

### Attributes

<table><thead><tr><th width="233">Name</th><th width="146.33333333333331">Data type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>Unique identifier for the payout (UUID).</td></tr><tr><td><code>currency</code></td><td><code>string</code></td><td>ISO currency code in which the <code>amount</code> is denominated.</td></tr><tr><td><code>paid_at</code></td><td><code>string</code></td><td>Time at which the payout was marked as paid.</td></tr><tr><td><code>state</code></td><td><code>string</code></td><td>Represents the current state of the payout.  This could be one of four possible values: <code>pending</code>, <code>due</code>, <code>processing</code> or <code>paid</code>.</td></tr><tr><td><code>paid_by_id</code></td><td><code>string</code></td><td>The unique identifier for the user who paid this payout.</td></tr><tr><td><code>created_at</code></td><td><code>string</code></td><td>Time at which the payout was created.</td></tr><tr><td><code>updated_at</code></td><td><code>string</code></td><td>Time at which the payout was last updated.</td></tr><tr><td><code>amount</code></td><td><code>integer</code></td><td>The monetary value of the commission in cents.</td></tr><tr><td><code>affiliate</code></td><td><code>object</code></td><td>Represents the affiliate to whom the payout should be made.</td></tr><tr><td><code>commissions</code></td><td><code>array</code></td><td>The list of commissions that comprise the payout.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.rewardful.com/rest-api/payouts/the-payout-object.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
